Loading...
Searching...
No Matches
CSettings Class Reference
Inheritance diagram for CSettings:
[legend]

## Public Member Functions

void | SaveResolutionSettings (const Gfx::DeviceConfig &config)
void | SaveSettings ()
void | LoadSettings ()
void | SaveAudioSettings ()
void | SetTooltips (bool tooltips)
bool | GetTooltips ()
void | SetInterfaceGlint (bool interfaceGlint)
bool | GetInterfaceGlint ()
void | SetMouseParticlesEnabled (bool mouseParticlesEnabled)
bool | GetMouseParticlesEnabled ()
void | SetSoluce4 (bool soluce4)
bool | GetSoluce4 ()
void | SetMovies (bool movies)
bool | GetMovies ()
void | SetFocusLostPause (bool focusLostPause)
bool | GetFocusLostPause ()
void | SetFocusLostMute (bool focusLostMute)
bool | GetFocusLostMute ()
void | SetFontSize (float size)
| Managing the size of the default fonts.
float | GetFontSize ()
void | SetWindowPos (Math::Point pos)
| Managing the size of the default window.
Math::Point | GetWindowPos ()
void | SetWindowDim (Math::Point dim)
Math::Point | GetWindowDim ()
void | SetWindowMax (bool max)
bool | GetWindowMax ()
void | SetIOPublic (bool mode)
| Managing windows open/save.
bool | GetIOPublic ()
void | SetIOPos (Math::Point pos)
Math::Point | GetIOPos ()
void | SetIODim (Math::Point dim)
Math::Point | GetIODim ()
void | SetLanguage (Language language)
Language | GetLanguage ()

## Protected Attributes

bool | m_tooltips
bool | m_interfaceGlint
bool | m_mouseParticlesEnabled
bool | m_soluce4
bool | m_movies
bool | m_focusLostPause
bool | m_focusLostMute
float | m_fontSize
Math::Point | m_windowPos
Math::Point | m_windowDim
bool | m_windowMax
bool | m_IOPublic
Math::Point | m_IOPos
Math::Point | m_IODim
Language | m_language

## Additional Inherited Members

Static Public Member Functions inherited from CSingleton< CSettings >
static CSettings & | GetInstance ()
static CSettings * | GetInstancePointer ()
static bool | IsCreated ()
Static Protected Attributes inherited from CSingleton< CSettings >
static CSettings * | m_instance

## Member Function Documentation

## SetFontSize()

void CSettings::SetFontSize | ( | float | size | ) |

Managing the size of the default fonts.

## SetWindowPos()

void CSettings::SetWindowPos | ( | Math::Point | pos | ) |

Managing the size of the default window.

## SetIOPublic()

void CSettings::SetIOPublic | ( | bool | mode | ) |

Managing windows open/save.

The documentation for this class was generated from the following files:

- src/common/settings.h
- src/common/settings.cpp